Package com.sleepycat.persist.evolve

## Class Mutation

- java.lang.Object
- - com.sleepycat.persist.evolve.Mutation

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `Converter`, `Deleter`, `Renamer`

    public abstract class Mutation
    extends java.lang.Object
    implements java.io.Serializable

The base class for all mutations.

See Also:
  `Class Evolution`, Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object other)` Returns true if the class name, class version and field name are equal in this object and given object.
`java.lang.String` `getClassName()` Returns the class to which this mutation applies.
`int` `getClassVersion()` Returns the class version to which this mutation applies.
`java.lang.String` `getFieldName()` Returns the field name to which this mutation applies, or null if this mutation applies to the class itself.
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getClassName

    public java.lang.String getClassName()

Returns the class to which this mutation applies.

Returns:
  the class to which this mutation applies.

#### getClassVersion

    public int getClassVersion()

Returns the class version to which this mutation applies.

Returns:
  the class version to which this mutation applies.

#### getFieldName

    public java.lang.String getFieldName()

Returns the field name to which this mutation applies, or null if this mutation applies to the class itself.

Returns:
  the field name to which this mutation applies, or null.

#### equals

    public boolean equals​(java.lang.Object other)

Returns true if the class name, class version and field name are equal in this object and given object.

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`